> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search HubSpot Objects

> Search HubSpot Objects



## OpenAPI

````yaml /api-reference/v1/v1.1.0_openapi.json post /action/hubspot.v2.search_objects
openapi: 3.0.0
info:
  version: 1.1.0
  title: AI Actions - Get Data
  description: API specifications for 'Get Data' category AI actions.
  license:
    name: MIT
servers:
  - url: https://api-lr.agent.ai/v1
security:
  - bearerAuth: []
paths:
  /action/hubspot.v2.search_objects:
    post:
      tags:
        - HubSpot CRM & Automation
      summary: Search HubSpot Objects
      description: Search HubSpot Objects
      operationId: hubspot.v2.searchObjects
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                object_type:
                  type: string
                  enum:
                    - contacts
                    - companies
                    - deals
                    - tickets
                    - calls
                    - emails
                    - meetings
                    - notes
                    - tasks
                filters:
                  type: string
                  x-ui: properties
                  description: Properties used for searching
                properties:
                  type: string
                  x-ui: properties
                  description: Properties to retrieve
                associations:
                  type: string
                  x-ui: associations
                output_variable_name:
                  type: string
                  default: search_results
                output_sort:
                  type: string
                output_sort_dir:
                  type: string
                  enum:
                    - ASCENDING
                    - DESCENDING
                  default: ASCENDING
                output_limit:
                  type: string
                  default: '100'
              required:
                - object_type
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '401':
          description: Unauthorized - invalid or missing bearer token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
components:
  schemas:
    ActionResponse:
      type: object
      properties:
        status:
          type: integer
          format: int32
          description: HTTP status code of the action response
        response:
          type: object
          description: Response data from the action
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token from your account
        ([https://agent.ai/user/integrations#api](https://agent.ai/user/integrations#api))

````